Preview what a template would include and leave behind
POST
/v1/artifact-templates/preview
const url = 'https://shareout.site/v1/artifact-templates/preview';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"artifact_id":"example","folder_id":"example","name":"example","description":"example","tags":["example"],"scope":"private","shared_workspace_ids":["example"],"version":"1.0.0","notes":"example","readme":"example","include_sample_rows":false,"preview_image":"example","acknowledge_findings":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shareout.site/v1/artifact-templates/preview \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "artifact_id": "example", "folder_id": "example", "name": "example", "description": "example", "tags": [ "example" ], "scope": "private", "shared_workspace_ids": [ "example" ], "version": "1.0.0", "notes": "example", "readme": "example", "include_sample_rows": false, "preview_image": "example", "acknowledge_findings": true }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
artifact_id
string
folder_id
string
name
string
description
string
tags
Array<string>
scope
string
shared_workspace_ids
Array<string>
version
string
Example
1.0.0notes
string
readme
string
include_sample_rows
boolean
preview_image
string
acknowledge_findings
boolean
Responses
Section titled “Responses”Items, files, schemas, setup steps, excluded counts, findings, redactions
